## org.apache.mahout.clustering.topdown.postprocessor
Class ClusterOutputPostProcessorMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.clustering.topdown.postprocessor.ClusterOutputPostProcessorMapper

    public class ClusterOutputPostProcessorMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Mapper for post processing cluster output.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`ClusterOutputPostProcessorMapper()`

Method Summary
`void` `map(org.apache.hadoop.io.IntWritable key, WeightedVectorWritable val, org.apache.hadoop.mapreduce.Mapper.Context context)`
`void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterOutputPostProcessorMapper

    public ClusterOutputPostProcessorMapper()

Method Detail

### setup

    public void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
               throws IOException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`

### map

    public void map(org.apache.hadoop.io.IntWritable key,
                    WeightedVectorWritable val,
                    org.apache.hadoop.mapreduce.Mapper.Context context)
             throws IOException,
                    InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.